Qt Utilities: QtUtilities::PathSelection Class Reference

Qt Utilities 6.22.0 Common Qt related C++ classes and routines used by my applications such as dialogs, widgets and models

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
QtUtilities::PathSelection Class Reference

A QLineEdit with a QPushButton next to it which allows to select file/directory via QFileDialog. More...

`#include <pathselection.h>`

Inheritance diagram for QtUtilities::PathSelection:
[legend]
Collaboration diagram for QtUtilities::PathSelection:
[legend]

## Public Member Functions
| PathSelection (QWidget *parent=nullptr)
| Constructs a path selection widget.
ClearLineEdit * | lineEdit ()
| Returns the line edit with the selected path.
const ClearLineEdit * | lineEdit () const
| Returns the line edit with the selected path.
void | provideCustomFileMode (QFileDialog::FileMode customFileMode)
| Can be used to provide a custom file mode.
void | provideCustomFileDialog (QFileDialog *customFileDialog)
| Can be used to provide a custom file dialog.

## Protected Member Functions
bool | event (QEvent *event) override
bool | eventFilter (QObject *obj, QEvent *event) override

## Detailed Description

A QLineEdit with a QPushButton next to it which allows to select file/directory via QFileDialog.

Definition at line 15 of file pathselection.h.

## Constructor & Destructor Documentation

## ◆ PathSelection()

QtUtilities::PathSelection::PathSelection | ( | QWidget * | parent = nullptr | ) |
| explicit

Constructs a path selection widget.

Definition at line 37 of file pathselection.cpp.

## Member Function Documentation

## ◆ event()

bool QtUtilities::PathSelection::event | ( | QEvent * | event | ) |
| overrideprotected

Definition at line 68 of file pathselection.cpp.

## ◆ eventFilter()

bool QtUtilities::PathSelection::eventFilter | ( | QObject * | obj,
|  | QEvent * | event )
| overrideprotected

Definition at line 79 of file pathselection.cpp.

## ◆ lineEdit() [1/2]

ClearLineEdit * QtUtilities::PathSelection::lineEdit | ( |  | ) |
| inline

Returns the line edit with the selected path.

Definition at line 45 of file pathselection.h.

## ◆ lineEdit() [2/2]

const ClearLineEdit * QtUtilities::PathSelection::lineEdit | ( |  | ) | const
| inline

Returns the line edit with the selected path.

Definition at line 53 of file pathselection.h.

## ◆ provideCustomFileDialog()

void QtUtilities::PathSelection::provideCustomFileDialog | ( | QFileDialog * | customFileDialog | ) |
| inline

Can be used to provide a custom file dialog.

The default file mode is ignored when a custom file dialog has been specified.

Definition at line 74 of file pathselection.h.

## ◆ provideCustomFileMode()

void QtUtilities::PathSelection::provideCustomFileMode | ( | QFileDialog::FileMode | customFileMode | ) |
| inline

Can be used to provide a custom file mode.

The default file mode is QFileDialog::Directory.

Definition at line 63 of file pathselection.h.

The documentation for this class was generated from the following files:

- widgets/pathselection.h
- widgets/pathselection.cpp